Index: uspace/srv/fs/udf/udf_ops.c
===================================================================
--- uspace/srv/fs/udf/udf_ops.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
+++ uspace/srv/fs/udf/udf_ops.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -75,5 +75,5 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	udf_node_t *node;
 	rc = udf_idx_get(&node, instance, index);
@@ -82,5 +82,5 @@
 		if (rc != EOK)
 			return rc;
-		
+
 		rc = udf_node_get_core(node);
 		if (rc != EOK) {
@@ -89,5 +89,5 @@
 		}
 	}
-	
+
 	*rfn = FS_NODE(node);
 	return EOK;
@@ -100,5 +100,5 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	return udf_node_get(rfn, service_id,
 	    instance->volumes[DEFAULT_VOL].root_dir);
@@ -110,5 +110,5 @@
 	if (udfn)
 		return udfn->instance->service_id;
-	
+
 	return 0;
 }
@@ -119,27 +119,27 @@
 	if (name == NULL)
 		return ENOMEM;
-	
+
 	block_t *block = NULL;
 	udf_file_identifier_descriptor_t *fid = NULL;
 	size_t pos = 0;
-	
+
 	while (udf_get_fid(&fid, &block, UDF_NODE(pfn), pos) == EOK) {
 		udf_long_ad_t long_ad = fid->icb;
-		
+
 		udf_to_unix_name(name, MAX_FILE_NAME_LEN,
 		    (char *) fid->implementation_use + FLE16(fid->lenght_iu),
 		    fid->lenght_file_id, &UDF_NODE(pfn)->instance->charset);
-		
+
 		if (str_casecmp(name, component) == 0) {
 			errno_t rc = udf_node_get(rfn, udf_service_get(pfn),
 			    udf_long_ad_to_pos(UDF_NODE(pfn)->instance, &long_ad));
-			
+
 			if (block != NULL)
 				block_put(block);
-			
+
 			free(name);
 			return rc;
 		}
-		
+
 		if (block != NULL) {
 			errno_t rc = block_put(block);
@@ -147,8 +147,8 @@
 				return rc;
 		}
-		
+
 		pos++;
 	}
-	
+
 	free(name);
 	return ENOENT;
@@ -165,13 +165,13 @@
 	if (!node)
 		return EINVAL;
-	
+
 	fibril_mutex_lock(&node->lock);
 	node->ref_cnt--;
 	fibril_mutex_unlock(&node->lock);
-	
+
 	/* Delete node from hash table and memory */
 	if (!node->ref_cnt)
 		udf_idx_del(node);
-	
+
 	return EOK;
 }
@@ -208,5 +208,5 @@
 	if (node)
 		return node->index;
-	
+
 	return 0;
 }
@@ -217,5 +217,5 @@
 	if (node)
 		return node->data_size;
-	
+
 	return 0;
 }
@@ -226,5 +226,5 @@
 	if (node)
 		return node->link_cnt;
-	
+
 	return 0;
 }
@@ -235,5 +235,5 @@
 	if (node)
 		return node->type == NODE_DIR;
-	
+
 	return false;
 }
@@ -244,5 +244,5 @@
 	if (node)
 		return node->type == NODE_FILE;
-	
+
 	return false;
 }
@@ -257,7 +257,7 @@
 	if (NULL == instance)
 		return ENOENT;
-	
+
 	*size = instance->volumes[DEFAULT_VOL].logical_block_size;
-	
+
 	return EOK;
 }
@@ -266,5 +266,5 @@
 {
 	*count = 0;
-	
+
 	return EOK;
 }
@@ -273,5 +273,5 @@
 {
 	*count = 0;
-	
+
 	return EOK;
 }
@@ -308,5 +308,5 @@
 {
 	enum cache_mode cmode;
-	
+
 	/* Check for option enabling write through. */
 	if (str_cmp(opts, "wtcache") == 0)
@@ -314,11 +314,11 @@
 	else
 		cmode = CACHE_MODE_WB;
-	
+
 	udf_instance_t *instance = malloc(sizeof(udf_instance_t));
 	if (!instance)
 		return ENOMEM;
-	
+
 	instance->sector_size = 0;
-	
+
 	/* Check for block size. Will be enhanced later */
 	if (str_cmp(opts, "bs=512") == 0)
@@ -328,10 +328,10 @@
 	else if (str_cmp(opts, "bs=2048") == 0)
 		instance->sector_size = 2048;
-	
+
 	/* initialize block cache */
 	errno_t rc = block_init(service_id, MAX_SIZE);
 	if (rc != EOK)
 		return rc;
-	
+
 	rc = fs_instance_create(service_id, instance);
 	if (rc != EOK) {
@@ -340,8 +340,8 @@
 		return rc;
 	}
-	
+
 	instance->service_id = service_id;
 	instance->open_nodes_count = 0;
-	
+
 	/* Check Volume Recognition Sequence */
 	rc = udf_volume_recongnition(service_id);
@@ -353,5 +353,5 @@
 		return rc;
 	}
-	
+
 	/* Search for Anchor Volume Descriptor */
 	udf_anchor_volume_descriptor_t avd;
@@ -364,5 +364,5 @@
 		return rc;
 	}
-	
+
 	log_msg(LOG_DEFAULT, LVL_DEBUG,
 	    "Volume: Anchor volume descriptor found. Sector size=%" PRIu32,
@@ -376,5 +376,5 @@
 	    PRIu32 " (sector)]", avd.reserve_extent.length,
 	    avd.reserve_extent.location);
-	
+
 	/* Initialize the block cache */
 	rc = block_cache_init(service_id, instance->sector_size, 0, cmode);
@@ -385,5 +385,5 @@
 		return rc;
 	}
-	
+
 	/* Read Volume Descriptor Sequence */
 	rc = udf_read_volume_descriptor_sequence(service_id, avd.main_extent);
@@ -396,5 +396,5 @@
 		return rc;
 	}
-	
+
 	fs_node_t *rfn;
 	rc = udf_node_get(&rfn, service_id, instance->volumes[DEFAULT_VOL].root_dir);
@@ -407,9 +407,9 @@
 		return rc;
 	}
-	
+
 	udf_node_t *node = UDF_NODE(rfn);
 	*index = instance->volumes[DEFAULT_VOL].root_dir;
 	*size = node->data_size;
-	
+
 	return EOK;
 }
@@ -421,8 +421,8 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	udf_node_t *nodep = UDF_NODE(fn);
 	udf_instance_t *instance = nodep->instance;
-	
+
 	/*
 	 * We expect exactly two references on the root node.
@@ -434,5 +434,5 @@
 		return EBUSY;
 	}
-	
+
 	/*
 	 * Put the root node twice.
@@ -440,10 +440,10 @@
 	udf_node_put(fn);
 	udf_node_put(fn);
-	
+
 	fs_instance_destroy(service_id);
 	free(instance);
 	block_cache_fini(service_id);
 	block_fini(service_id);
-	
+
 	return EOK;
 }
@@ -456,12 +456,12 @@
 	if (rc != EOK)
 		return rc;
-	
+
 	fs_node_t *rfn;
 	rc = udf_node_get(&rfn, service_id, index);
 	if (rc != EOK)
 		return rc;
-	
+
 	udf_node_t *node = UDF_NODE(rfn);
-	
+
 	ipc_callid_t callid;
 	size_t len = 0;
@@ -471,5 +471,5 @@
 		return EINVAL;
 	}
-	
+
 	if (node->type == NODE_FILE) {
 		if (pos >= node->data_size) {
@@ -479,5 +479,5 @@
 			return EOK;
 		}
-		
+
 		size_t read_len = 0;
 		if (node->data == NULL)
@@ -489,5 +489,5 @@
 			rc = EOK;
 		}
-		
+
 		*rbytes = read_len;
 		(void) udf_node_put(rfn);
@@ -498,19 +498,19 @@
 		if (udf_get_fid(&fid, &block, node, pos) == EOK) {
 			char *name = malloc(MAX_FILE_NAME_LEN + 1);
-			
+
 			// FIXME: Check for NULL return value
-			
+
 			udf_to_unix_name(name, MAX_FILE_NAME_LEN,
 			    (char *) fid->implementation_use + FLE16(fid->lenght_iu),
 			    fid->lenght_file_id, &node->instance->charset);
-			
+
 			async_data_read_finalize(callid, name, str_size(name) + 1);
 			*rbytes = 1;
 			free(name);
 			udf_node_put(rfn);
-			
+
 			if (block != NULL)
 				return block_put(block);
-			
+
 			return EOK;
 		} else {
